# Changelog
All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/), and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [Unreleased]

## [1.2.0] - 2022-07-27

### Added

- Dialogs created for viewing invoices and receipts URLs
- Notifier service created - replaces snackbar used for reporting invalid viewing key.
- Notifier component created - used to apply custom style to message sent by Notifier service.
- Notification to user when the submitted viewing key is not valid


### Changed

- Item dialog look and feel reviewed and updated
- Order list look and feel reviewed and updated
- Available Items list look and feel reviewed and updated
- Set configuration global parameters in one place
- Receipt look and feel reviewed and updated
- Invoice look and feel reviewed and updated
- Checkout dialog with QR code reviewed and updated
- Invoice dialog completed. Notifications to inform successful/failed URL-copy-to-clipboard added. 
- Obsolete function `updateOwner` removed
- Buttons in main shop page have been enclosed to display inside a fixed area.
- Shop page buttons redesigned
- Settings form redesigned
- Order list look and feel reviewed and updated - some unused CSS classes removed.
- Added viewing key field to owner model
- Paid status icons added to order's title
- Order detail redesigned 

### Fixed

- Fixed display of amounts in item list when using *zatoshis*
- Fixed sorting of items in list
- Fixed sorting of orders in list

## [1.1.2] - 2022-05-24

### Added

- Button in QR code prompt to copy ZGo address.
- Button in QR code prompt to copy transaction amount.
- Button in QR code prompt to copy transaction memo.

## [1.1.1] - 2022-05-24

### Added

- Invoice display via URL
- Invoice button for closing order
- Field `paid` for Order type

## [1.1.0] - 2022-05-20

### Changed

- Services interacting with backend API were modified to support the new [ZGo Backend](https://gitlabl.com/pitmutt/zgo-backend).

### Removed

- NodeJS back-end


